Subject: Fw: [Bug 198657] New: irda scheduled for removal

From: Stephen Hemminger <[email-masked]>
Date: Sat, 3 Feb 2018 12:38:43 -0800

Begin forwarded message:

Date: Sat, 03 Feb 2018 20:24:46 +0000
From: [email-masked]
To: [email-masked]
Subject: [Bug 198657] New: irda scheduled for removal

https://bugzilla.kernel.org/show_bug.cgi?id=198657

            Bug ID: 198657
           Summary: irda scheduled for removal
           Product: Networking
           Version: 2.5
    Kernel Version: 4.14
          Hardware: All
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: Other
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

Hi,

I just wanted to do my regular download from my dive computer, plugged in my
USB IrDA dongle, ran irattach, hit the download button in surbsurface and got
an error message. It turns out that my system does not support AF_IRDA anymore
after upgrading to Linux 4.14 as the Linux developers scheduled the subsystem
for removal and the Debian maintainers decided to disable it already due to
that.

It seems like I am not the only one surprised by the statement that nobody
seems to use it and it's broken: https://lkml.org/lkml/2017/8/29/773

libdivecomputer does use it [1] and I do use it via libdivecomputer. It works
fine. While I agree that IrDA isn't the best decision today, my dive computer
is neither exotic nor very old.

[1] https://github.com/libdivecomputer/libdivecomputer/blob/master/src/irda.c

I ask you to reconsider the decision to drop the irda subsystem.

Regards

-- 
You are receiving this mail because:
You are the assignee for the bug.